
#include <avr/sfr_defs.h>
#include <avr\io.h>
#include <util\delay.h>
#include <avr/wdt.h>
#include <avr\interrupt.h>
#include <stdlib.h>
#include <avr\pgmspace.h> // <--#include <progmem.h>#include "main.h"
#include "MY_RC5_Func_ATM328.h"
#include "main.h" //CE

/*
//MCUCR = MCUCR_INT1_FALLING_EDGE; //ISC00=0;  FALLING EDGE --> INT0, INT1   //NICHT mit MCUCSR verwechseln !
rc5_init(RC5_ALL);
gstRC5.u8RC5_State_Flags = RC5_READY_FLAG;
gstRC5.u8RC5_State_Flags = RC5_EVENT_DONE_FLAG;
gstRC5.u32EventTime = gu32_Ticks;
*/

#ifdef RC5_IR_USED
void RC5_Mainlopp_Polling(void)
{
	if( (gstRC5.flip != -1) && 
		(gstRC5.u8RC5_State_Flags == RC5_READY_FLAG)
	)
		{
		gstRC5.u8RC5_State_Flags = RC5_EVENT_FLAG;

/*
lcd_gotoxy(0,1);
lcd_puts_p( PSTR("                ") );	
LongToNumStr( gstRC5.code );
lcd_puts_p( PSTR("LCD=") );	
lcd_gotoxy(0,1);
lcd_puts( gcaNumStr );
*/
		CHECK_IR_CODE();
			
		};

	if( (gstRC5.u8RC5_State_Flags & RC5_EVENT_DONE_FLAG)  &&  //Waitloop
		( (gu32Ticks - gstRC5.u32EventTime) > IR_RELEASE_WAIT_TIME_TICKS)//100 //4mS * 25 = 100mS
	)
		{
		gstRC5.flip = -1;
		//gstRC5.code = 0;		
		gstRC5.u8RC5_State_Flags = RC5_READY_FLAG;	//Waitloopveriegelung lschen
		};
};
#endif




#ifdef INFRAROT_RC5_USED
// ****************************************************************
void CHECK_IR_CODE(void)
// ****************************************************************
{	
/*
gstRC5.u8RC5_State_Flags = RC5_EVENT_DONE_FLAG;
gstRC5.u32EventTime = gu32_Ticks;
*/
if( gstRC5.code )
	{
	uart_puts_p( PSTR("\r\nRC5=") );
	uart_puts( ultoa( gstRC5.code, gcaStr, 10 ) );
	uart_puts_p( PSTR("\r\n") );
	};
					
switch (gstRC5.code)
	{	
	case STANDBY:
	case STANDBYOFF_KEY:
		{
		break;
		}

	case IR_NULL :
		{
		//u8Status = STAT_MOTOR_STOP;
		break;
		};

	case IR_EINS :
		{
		break;
		};
	case IR_VIER :
		{
		//Motor_Vorwaerts
		//gu8Status  |= STAT_MOTOR_VORWAERTS;
		break;
		};
	case VOLUME_M :
		{
		break;
		};
	case VOLUME_P	 :
		{
		break;
		};		
	case BRIGHT_M :
		{
		break;
		};
	case BRIGHT_P :
		{
		break;
		};
	case START :
		{
		break;
		};
	case STOP :
		{
		break;
		};	
	case COLOUR_SATURATION_P :
		{	
		break;
		};	
	case COLOUR_SATURATION_M :
		{	
		break;
		};	
	case BILDSUCHLAUF_ZURUECK :
		{	
		break;
		};	
	case  BILDSUCHLAUF_VORWAERTS :
		{	
		break;
		};
	}; //switch
gstRC5.u8RC5_State_Flags = RC5_EVENT_DONE_FLAG;
gstRC5.u32EventTime = gu32Ticks;
};
#endif
