/*
Christof Ermer
10.02.2015
Neue Version 02.2015 fr Kurs
*/

#include <avr/sfr_defs.h>
#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include "74-595_Out.h"

//ANPASSEN AN CHIP-ZAHL  --> Header USED_74595_ICS
//POINTERdes Datentyps der Funktion ebfalls anpassen

// ******************************
void OUT_74595_InitDDRegs(void)
// ******************************
{
OS74595_DS_DDRX |= DS_74595;
OS74595_SH_CP_DDRX |= SH_CP_74595; 
OS74595_ST_CP_DDRX |= ST_CP_74595;
};

// **************************************
void OUT_74595( uint32_t u32Val )  //uint16_t uint32_t
// **************************************
{
uint8_t u8NN;   

OUT_74595_InitDDRegs();  // AUSLAGERN IN INIT
OUT_74595_SCK_LOW();
//TWO_CYCLES();
//u8NN =  (USED_74595_ICS * 8) - 1;
u8NN =  7;
do
	{  // Clock out bits
	if( u32Val & (1UL << u8NN) ) 	// Ist es undiert eine EINS ?
		{	 
		OUT_74595_SERDATA_HIGH();     
		}		 
	 else
		{	
		OUT_74595_SERDATA_LOW();	
		};	//Shift clock 
	TWO_CYCLES(); //_delay_us(1);
	OUT_74595_SCK_HIGH(); 
	TWO_CYCLES(); //_delay_us(1);
	OUT_74595_SCK_LOW();
  }while( u8NN-- );
TWO_CYCLES(); //_delay_us(1);		
OUT_74595_RCK_HIGH(); // Latch Data to Output
TWO_CYCLES(); //_delay_us(1);
OUT_74595_RCK_LOW();
};
